Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## FitnessEvaluation.externalInterpreters.SantaFeAntTrail
Class SantaFeAntTrailBSF

    java.lang.Object
      FitnessEvaluation.InterpretedFitnessEvaluation
          FitnessEvaluation.InterpretedFitnessEvaluationBSF
              FitnessEvaluation.externalInterpreters.SantaFeAntTrail.SantaFeAntTrailBSF

All Implemented Interfaces:
  FitnessFunction, ParameterI

    public class SantaFeAntTrailBSF

extends InterpretedFitnessEvaluationBSF

Class for running Santa Fe ant trail interpreted via BSF

Author:
  erikhemberg

Field Summary

Fields inherited from class FitnessEvaluation.InterpretedFitnessEvaluationBSF
`mngr`

Constructor Summary
`SantaFeAntTrailBSF()` Creates a new instance of SantaFeAntTrailBSF

Method Summary
`java.lang.String` | `createCode(Phenotype p)` Create a header and a tail for the input string.
`void` | `setProperties(java.util.Properties p)` Set properties

Methods inherited from class FitnessEvaluation.InterpretedFitnessEvaluationBSF
`runFile`

Methods inherited from class FitnessEvaluation.InterpretedFitnessEvaluation
`canCache, getFitness`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SantaFeAntTrailBSF

    public SantaFeAntTrailBSF()

  Creates a new instance of SantaFeAntTrailBSF

Method Detail

### createCode

    public java.lang.String createCode(Phenotype p)

  Create a header and a tail for the input string. Uses the groovy language Creates a class that extends the Trail class. Inserts the input from the phenotype. Adds a tail.

  Specified by:
    `createCode` in class `InterpretedFitnessEvaluationBSF`
  Parameters:
    `p` - the input to be evaluated
  Returns:
    code

### setProperties

    public void setProperties(java.util.Properties p)

  Description copied from interface: `ParameterI`
  Set properties

  Parameters:
    `p` - object containing properties

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD